Crazy Eddies GUI System: CEGUI::ClippedContainer Class Reference

Crazy Eddies GUI System 0.7.6

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Attributes | Protected Member Functions | Protected Attributes
CEGUI::ClippedContainer Class Reference

Helper container window that has configurable clipping. Used by the ItemListbox widget. More...

Inheritance diagram for CEGUI::ClippedContainer:
[legend]
Collaboration diagram for CEGUI::ClippedContainer:
[legend]

List of all members.

## Public Member Functions
| ClippedContainer (const String &type, const String &name)
| Constructor for ClippedContainer objects.
| ~ClippedContainer (void)
| Destructor for ClippedContainer objects.
const Rect & | getClipArea (void) const
| Return the current clipping rectangle.
Window * | getClipperWindow (void) const
| Returns the reference window used for converting the clipper rect to screen space.
void | setClipArea (const Rect &r)
| Set the custom clipper area in pixels.
void | setClipperWindow (Window *w)
| Set the clipper reference window.
virtual Rect | getUnclippedInnerRect_impl (void) const
| Return a Rect object that describes, unclipped, the inner rectangle for this window. The inner rectangle is typically an area that excludes some frame or other rendering that should not be touched by subsequent rendering.
## Static Public Attributes
static const String | WidgetTypeName
| Type name for ClippedContainer.
static const String | EventNamespace
| Namespace for global events.
## Protected Member Functions
virtual bool | testClassName_impl (const String &class_name) const
| Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.
virtual void | drawSelf (const RenderingContext &)
| Perform the actual rendering for this Window.
## Protected Attributes
Rect | d_clipArea
| the pixel rect to be used for clipping relative to either a window or the screen.
Window * | d_clipperWindow
| the base window which the clipping rect is relative to.

## Detailed Description

Helper container window that has configurable clipping. Used by the ItemListbox widget.

Deprecated:
  This class is deprecated and is scheduled for removal. The function this class used to provide was broken when the inner-rect (aka client area) support got fixed. The good news is that fixing inner-rect support effectively negated the need for this class anyway - clipping areas can now be established in the looknfeel and extracted via the WindowRenderer.

## Member Function Documentation

virtual void CEGUI::ClippedContainer::drawSelf | ( | const RenderingContext & | ctx | ) | `[inline, protected, virtual]`

Perform the actual rendering for this Window.

Parameters:

  ctx | RenderingContext holding the details of the RenderingSurface to be used for the Window rendering operations.

Returns:
  Nothing

Reimplemented from CEGUI::Window.

const Rect& CEGUI::ClippedContainer::getClipArea | ( | void |  | ) | const

Return the current clipping rectangle.

Returns:
  Rect object describing the clipping area in pixel that will be applied during rendering.

virtual Rect CEGUI::ClippedContainer::getUnclippedInnerRect_impl | ( | void |  | ) | const`[virtual]`

Return a Rect object that describes, unclipped, the inner rectangle for this window. The inner rectangle is typically an area that excludes some frame or other rendering that should not be touched by subsequent rendering.

Returns:
  Rect object that describes, in unclipped screen pixel co-ordinates, the window object's inner rect area.

Note:
  This function is going to change from public visibility to pretected. All code accessing the area rects via external code should be using the regular getUnclippedInnerRect function.

Reimplemented from CEGUI::Window.

void CEGUI::ClippedContainer::setClipperWindow | ( | Window * | w | ) |

Set the clipper reference window.

Parameters:

  w | The window to be used a base for converting the custom clipper rect to screen space. NULL if the clipper rect is relative to the screen.

virtual bool CEGUI::ClippedContainer::testClassName_impl | ( | const String & | class_name | ) | const`[inline, protected, virtual]`

Return whether this window was inherited from the given class name at some point in the inheritance hierarchy.

Parameters:

  class_name | The class name that is to be checked.

Returns:
  true if this window was inherited from class_name. false if not.

Reimplemented from CEGUI::Window.

References CEGUI::Window::testClassName_impl().